Get all claims of a plan Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/plans/{plan_uuid}/claim

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, claim_start_date, claim_start_date, claim_amount]. Negative sign to denote DESC. Defaults to '-created_at'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attribute Show data attribute object
      • message string
GET /api/v1/plans/{plan_uuid}/claim
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/claim' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "message": "Plan is being deleted."
    }
  ]
}